gstreamermm 1.8.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::Navigation Class Reference
gstreamermm Interfaces

An interface for elements that provide navigation functionality. More...

`#include <gstreamermm/navigation.h>`

Inheritance diagram for Gst::Navigation:
[legend]

## Public Member Functions
| Navigation (Navigation&& src) noexcept
Navigation& | operator= (Navigation&& src) noexcept
| ~Navigation () noexcept override
GstNavigation* | gobj ()
| Provides access to the underlying C GObject. More...
const GstNavigation* | gobj () const
| Provides access to the underlying C GObject. More...
void | send_event (Gst::Structure& structure)
void | send_key_event (const Glib::ustring& event, const Glib::ustring& key)
void | send_mouse_event (const Glib::ustring& event, int button, double x, double y)
| Sends a mouse event to the navigation interface. More...
void | send_command (Gst::NavigationCommand command)
| Sends the indicated command to the navigation interface. More...
virtual void | send_event_vfunc (Gst::Structure&& structure)
| Called when an event has been sent to the Gst::Navigation. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexceptoverride
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| Navigation ()
| You should derive from this class to use it. More...
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::Navigation > | wrap (GstNavigation* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

An interface for elements that provide navigation functionality.

Last reviewed on 2016-06-06 (1.8.0)

## Constructor & Destructor Documentation

## § Navigation() [1/2]

Gst::Navigation::Navigation | ( |  | ) |
| protected

You should derive from this class to use it.

## § Navigation() [2/2]

Gst::Navigation::Navigation | ( | Navigation&& | src | ) |
| noexcept

## § ~Navigation()

Gst::Navigation::~Navigation | ( |  | ) |
| override noexcept

## Member Function Documentation

## § add_interface()

static void Gst::Navigation::add_interface | ( | GType | gtype_implementer | ) |
| static

## § get_type()

static GType Gst::Navigation::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## § gobj() [1/2]

GstNavigation* Gst::Navigation::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## § gobj() [2/2]

const GstNavigation* Gst::Navigation::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## § operator=()

Navigation& Gst::Navigation::operator= | ( | Navigation&& | src | ) |
| noexcept

## § send_command()

void Gst::Navigation::send_command | ( | Gst::NavigationCommand | command | ) |

Sends the indicated command to the navigation interface.

Parameters

  command | The command to issue.

## § send_event()

void Gst::Navigation::send_event | ( | Gst::Structure& | structure | ) |

## § send_event_vfunc()

virtual void Gst::Navigation::send_event_vfunc | ( | Gst::Structure&& | structure | ) |
| virtual

Called when an event has been sent to the Gst::Navigation.

## § send_key_event()

void Gst::Navigation::send_key_event | ( | const Glib::ustring & | event,
|  | const Glib::ustring & | key
| ) |  |

Parameters

  event | The type of the key event. Recognised values are "key-press" and "key-release".
  key | Character representation of the key. This is typically as produced by XKeysymToString.

## § send_mouse_event()

void Gst::Navigation::send_mouse_event | ( | const Glib::ustring & | event,
|  | int | button,
|  | double | x,
|  | double | y
| ) |  |

Sends a mouse event to the navigation interface.

Mouse event coordinates are sent relative to the display space of the related output area. This is usually the size in pixels of the window associated with the element implementing the Gst::Navigation interface.

Parameters

  event | The type of mouse event, as a text string. Recognised values are "mouse-button-press", "mouse-button-release" and "mouse-move".
  button | The button number of the button being pressed or released. Pass 0 for mouse-move events.
  x | The x coordinate of the mouse event.
  y | The y coordinate of the mouse event.

## Friends And Related Function Documentation

## § wrap()

Glib::RefPtr< Gst::Navigation > wrap | ( | GstNavigation * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.